﻿using System;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;
using System.Drawing;

namespace Dev_Tools
{
	internal sealed class ProgramHid
	{
		[STAThread]
		private static void Main(string[] args)
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new HidForm(args));
		}
		
	}
	public static class RichTextBoxExtensions
	{
	    public static void AppendColorText(this RichTextBox box, string text, Color color)
	    {
	        box.SelectionStart = box.TextLength;
	        box.SelectionLength = 0;
	
	        box.SelectionColor = color;
	        box.AppendText(text);
	        box.SelectionColor = box.ForeColor;
	    }
	}
	
}
